[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.InitializeBand

Configures a control bar band and calculates its row position, order, and geometry including client decorations.

## Declaration

Source position: extctrls.pp line 1635

`protected procedure TCustomControlBar.InitializeBand(`
`ABand: TCtrlBand;`
`AKeepPos: Boolean`
`);`

## Arguments

`ABand` |  | TCtrlBand instance configured in the method.
`AKeepPos` |  | True to retain the order for the bands (when possible) when sizing the bands.